Skip to main content
`Ctrl`+`K`

# MatScatterGetVecScatter

Returns the user-provided scatter set with `MatScatterSetVecScatter()` in a `MATSCATTER` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScatterGetVecScatter(Mat mat, VecScatter *scatter)

Logically Collective

## Input Parameter

- mat - the matrix, should have been created with MatCreateScatter() or have type `MATSCATTER`

## Output Parameter

- scatter - the scatter context

## See Also

Matrices, `Mat`, `MATSCATTER`, `MatCreateScatter()`, `MatScatterSetVecScatter()`

## Level

intermediate

## Location

src/mat/impls/scatter/mscatter.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages